Page MenuHomePhabricator

Remove history-link-loaded event listener once cache expires
Closed, ResolvedPublic

Description

This is a reminder to remove the subscriber to the history-link-loaded event in resources/mobile.head/init.js

The change https://gerrit.wikimedia.org/r/#/c/236191/ removes the execution of this event in the page HTML. However cached pages will still be firing, so the decision was made in the change to leave this line until sometime in the future.

Event Timeline

rmoen claimed this task.
rmoen raised the priority of this task from to Needs Triage.
rmoen updated the task description. (Show Details)
rmoen added a subscriber: rmoen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2015, 7:13 PM

Change 237705 had a related patch set uploaded (by Jdlrobson):
Last modified code no longer needs to be loaded in head

https://gerrit.wikimedia.org/r/237705

Jdlrobson set Security to None.
Jdlrobson added a project: MobileFrontend.
Jdlrobson triaged this task as High priority.Sep 15 2015, 8:22 PM
Jdlrobson added a subscriber: Jdlrobson.
Jdlrobson removed rmoen as the assignee of this task.Sep 24 2015, 5:36 PM
Jdlrobson changed the task status from Open to Stalled.Sep 24 2015, 10:29 PM
Jdlrobson changed the task status from Stalled to Open.Oct 6 2015, 12:20 AM

I think we can do this now provided we do so after tomorrows cut off. Merged Sep 11, 2015. Deployed 17th.

phuedx added a subscriber: phuedx.EditedOct 6 2015, 9:53 AM

Y'all should probably C:-2 it so that eager reviewers (read: me) don't merge it too soon…

@phuedx you can merge now.

Change 237705 merged by jenkins-bot:
Last modified code no longer needs to be loaded in head

https://gerrit.wikimedia.org/r/237705

Jdlrobson removed Jdlrobson as the assignee of this task.Oct 7 2015, 6:13 PM

Seems we have mw.loader.using( 'mobile.head', function () {mw.mobileFrontend.emit( 'header-loaded' );} ); in the head. This seems to create an empty file but I think we should kill this as part of this bug too.

Change 244609 had a related patch set uploaded (by Jhobs):
Remove 'header-loaded' event

https://gerrit.wikimedia.org/r/244609

@bmansurov @phuedx please ensure there are +1s from both of you before merging. Let's make sure we all agree this is the right thing to do.

Change 244609 merged by jenkins-bot:
Remove 'header-loaded' event

https://gerrit.wikimedia.org/r/244609

Jdlrobson closed this task as Resolved.Oct 9 2015, 6:05 PM

We'll check the impact of this in next sprint T115132